> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shiftkeeper.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the Slack user group for a schedule

> Get the Slack user group attached to the schedule.



## OpenAPI

````yaml https://api.shiftkeeper.io/openapi.json get /schedules/{schedule_id}/slack_user_group/
openapi: 3.1.0
info:
  title: Shiftkeeper API
  description: API reference to interact with Shiftkeeper programatically
  version: 0.0.1
servers:
  - url: https://api.shiftkeeper.io
security:
  - apiKey: []
externalDocs:
  url: https://docs.shiftkeeper.io
  description: Learn more about Shiftkeeper
paths:
  /schedules/{schedule_id}/slack_user_group/:
    get:
      tags:
        - Schedules
      summary: Get the Slack user group for a schedule
      description: Get the Slack user group attached to the schedule.
      parameters:
        - schema:
            type: string
          examples:
            sch_oKjoLJUl47g7OYYVPUG5t:
              value: sch_oKjoLJUl47g7OYYVPUG5t
            sch_kje7ER643ED0STVnB8Zc9:
              value: sch_kje7ER643ED0STVnB8Zc9
          in: path
          name: schedule_id
          required: true
          description: The ID of the schedule.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  user_group:
                    $ref: '#/components/schemas/ScheduleSlackUserGroup'
                required:
                  - user_group
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    $ref: '#/components/schemas/NotFoundError'
                required:
                  - error
components:
  schemas:
    ScheduleSlackUserGroup:
      type: object
      properties:
        id:
          type: string
          description: The Slack ID of the user group.
        name:
          type: string
          description: The name of the user group.
        handle:
          type: string
          description: The handle of the user group.
        description:
          type: string
          description: The description of the user group.
      required:
        - id
        - name
        - handle
      examples:
        - id: S083J1KTL9X
          name: Incident responders
          handle: incident-responders
    NotFoundError:
      type: object
      properties:
        message:
          type: string
        docs_url:
          type: string
        status:
          type: number
          const: 404
        code:
          type: string
          const: not_found
      required:
        - message
        - status
        - code
      example:
        code: not_found
        status: 404
        message: The requested resource was not found
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: Enter your API key which starts with 'keeper_'

````